@import "../abstracts/variables";
@import "../abstracts/colors";
@import "../abstracts/baskerville_font_mixins";
@import "../abstracts/baskerville_font_variables";

p, ul, ol, blockquote, pre, code, .alert, .note, .box, .footnotes {
	font-family: $font-family;
	max-width: $base-max-width;
	color: $color-russian-violet;

	&[data-text-style='content1'] {
		@include content1();
	}

	&[data-text-style='content2'] {
		@include content2();
	}

	&[data-text-style='content3'] {
		@include content3();
	}

	&[data-text-style='content4'] {
		@include content4();
	}

	&[data-text-style='content5'] {
		@include content5();
	}
	&[data-text-style='content6'] {
		@include content6();
	}
}

ul, ol {
	margin-left: $li-margin-left;
}
li {
	margin-bottom: $li-margin-bottom;
}
blockquote {
	padding-left: $blockquote-padding-left;
	border-style: $blockquote-border-style; 
	border-color: $blockquote-border-color; 
	border-width: $blockquote-border-width; 
	color: $blockquote-color;
}
sub, sup {
	padding: 0 1px;
}
code, pre, kbd {
	font-size: $code-font-size;
}
code {
	background-color: $code-background-color;
	padding: $code-padding;
	border-radius: $code-border-radius;
	margin: $code-margin;
}
pre {
	padding: 17px;
	border-style: solid;
	border-color: rgba(0,0,0,0.15);
	border-width: 0 0 0 11px;
}
kbd {
	background-color: #fff;
	padding: 6px 7px;
	border-radius: 7px;
	box-shadow: 0 0 7px 0 rgba(0,0,0,0.45);
	margin: 0 1px;
}
.alert, .note, .box {
	padding: 27px;
}
.footnotes {
	font-size: 20px;
	line-height: 35px;
	padding-top: 27px;
	border-top: 1px dotted rgba(0,0,0,0.15);
}
.footnotes p {
	margin-bottom: 27px;
}
ul ul, ul ol, ol ul, ol ol, blockquote.right p, blockquote.left p, .alert :last-child, .note :last-child, .box :last-child, .footnotes :last-child {
	margin-bottom: 0;
}
